Jump to content
Qbic

Auto measure using lisp from point cloud.

Recommended Posts

Qbic

Dear All,

 

I am completely new to autocad programming and want to take professional help or advice for getting the following task completed :

1. Import dxf file

2. Assign measurement data to premitives for tolerance.

3. Import point cloud.

4. Orient point cloud on cad entities.

5. Verify the dimension and generate deviation map

6. Generate inspection report.

 

If someone can help me with this lisp code it will be of great help.

 

Thanks in advance.

Share this post


Link to post
Share on other sites
SLW210

I moved your thread to the AutoLISP, Visual LISP & DCL Forum. Please post in the appropriate forum.

 

Please do not use the report button to advertise your posts, the use of the report button is given under the text box

 

Note: This is ONLY to be used to report spam, advertising messages, and problematic (harassment, fighting, or rude) posts.

Share this post


Link to post
Share on other sites
Hippe013

Using a PointCloud is going to be your biggest challenge. The best API for this would be ObjectARX. I believe that most properties and methods of a PointCloud are NOT exposed as of yet through .NET or Visual Lisp (ActiveX).

 

IAcadPointCloud: AutoCAD Point Cloud Interface

; Property values:

; Application (RO) = #

; Document (RO) = #

; EntityTransparency = "ByLayer"

; Handle (RO) = "36A7"

; HasExtensionDictionary (RO) = -1

; Height = 2364.62

; Hyperlinks (RO) = #

; InsertionPoint = (0.0 0.0 0.0)

; IntensityColorScheme = 1

; Layer = "0_Point Cloud"

; Length = 4000.0

; Linetype = "ByLayer"

; LinetypeScale = 1.0

; Lineweight = -1

; Locked = 0

; Material = "ByLayer"

; Name (RO) = "Point Cloud - (1) (1) (1)"

; ObjectID (RO) = 42

; ObjectName (RO) = "AcDbPointCloud"

; OwnerID (RO) = 43

; Path (RO) = AutoCAD.Application: Null object ID

; PlotStyleName = "ByLayer"

; Rotation = 0.0

; scale = 1.0

; ShowClipped = -1

; ShowIntensity = -1

; Stylization = 0

; TrueColor = #

; Unit (RO) = "Unitless"

; UnitFactor (RO) = 1.0

; UseEntityColor = 1

; Visible = -1

; Width = 3998.0

; Methods supported:

; ArrayPolar (3)

; ArrayRectangular (6)

; Copy ()

; Delete ()

; GetBoundingBox (2)

; GetExtensionDictionary ()

; GetXData (3)

; Highlight (1)

; IntersectWith (2)

; Mirror (2)

; Mirror3D (3)

; Move (2)

; Rotate (2)

; Rotate3D (3)

; ScaleEntity (2)

; SetXData (2)

; TransformBy (1)

; Update ()

0

Edited by Hippe013
Typo

Share this post


Link to post
Share on other sites
Qbic

Thanks a lot sir for your reply. It now gives me good confidence on feasibility of this concept.

 

If any programmer who is ready to take this up as a professional development work please let me know. I am ready to avail their services.

 

Sorry if I am violating any norms cause I am totally new to this.

Share this post


Link to post
Share on other sites
satishrajdev

Hi,

 

I've read your scope and can provide complete solution to that. As I can see you are from India. You can have direct discussion on phone as well. I'm mailing you my contact details Or you can PM me you contact details.

 

Regards,

Satish

Share this post


Link to post
Share on other sites
Qbic

sorry for that mistake. will ensure the same in future.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...